dots.v2.monitoring.sinks.destinations.byDestination_uuid().post()
Generated on 27 Oct 2026
from DoTs version
v1.21.0
Usage
client.v2.monitoring.sinks.destinations.byDestination_uuid(destination_uuid).post(body: Destination_request, requestConfiguration?: RequestConfiguration<object>): Promise<void>Description
To update the details of a destination, send a PATCH request to /v2/monitoring/sinks/destinations/{destination_uuid}.
Parameters
Path Parameters
destination_uuidstring requiredExample:
1a64809f-1708-48ee-a742-dec8d481b8d1A unique identifier for a destination.
Request Body
namestring optionalExample:
managed_opensearch_clusterdestination name
typestring requiredThe destination type.
opensearch_dbaasfor a DigitalOcean managed OpenSearch
cluster oropensearch_extfor an externally managed one.configobject requiredShow child properties
credentialsobject optionalCredentials for an OpenSearch cluster user. Optional if
cluster_uuidis passed.Show child properties
usernamestring optionalExample:
usernamepasswordstring optionalExample:
password
endpointstring requiredExample:
example.comhost of the OpenSearch cluster
clusterUuidstring optionalExample:
85148069-7e35-4999-80bd-6fa1637ca385A unique identifier for a managed OpenSearch cluster.
clusterNamestring optionalExample:
managed_dbaas_clusterName of a managed OpenSearch cluster.
indexNamestring optionalExample:
logsOpenSearch index to send logs to.
retentionDaysinteger optionalExample:
14Number of days to retain logs in an OpenSearch cluster.
Request Sample
More Information
See /v2/monitoring/sinks/destinations/{destination_uuid} in the API reference for additional detail on responses, headers, parameters, and more.